| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType > Class Template Reference

DTO (data transfer object) for neural data element mapping definition. More...

Inheritance diagram for IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >:
[legend]
Collaboration diagram for IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >:
[legend]

## Public Member Functions
| MapNeuralImputOutputElementDefinitionDto ()
override ElementType | CreateObject ()

## Public Attributes
int | OriginalElementIndex = -1
bool | OriginalElementIndexSpecified = false
int | MappedElementIndex = -1
bool | MappedElementIndexSpecified = false
string | OriginalName
string | OriginalTitle
string | OriginalDescription

## Protected Member Functions
override void | CopyFromPlain (MappingDefinitionElement obj)
override void | CopyToPlain (ref MappingDefinitionElement obj)

## Detailed Description

DTO (data transfer object) for neural data element mapping definition.

Template Parameters

  ElementType | Actual type of the object whose data is represented by the current DTO.

$A Igor Jul 19; tako78 Jul 19

Type Constraints

  ElementType | : | MappingDefinitionElement |

## Constructor & Destructor Documentation

IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.MapNeuralImputOutputElementDefinitionDto | ( |  | ) |
| inline

## Member Function Documentation

override ElementType IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.CreateObject | ( |  | ) |
| inline

override void IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.CopyFromPlain | ( | MappingDefinitionElement | obj | ) |
| inline protected

References IG.Neural.MappingDefinitionElement.MappedElementIndex, IG.Neural.MappingDefinitionElement.MappedElementIndexSpecified, IG.Neural.MappingDefinitionElement.OriginalDescription, IG.Neural.MappingDefinitionElement.OriginalElementIndex, IG.Neural.MappingDefinitionElement.OriginalElementIndexSpecified, IG.Neural.MappingDefinitionElement.OriginalName, and IG.Neural.MappingDefinitionElement.OriginalTitle.

override void IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.CopyToPlain | ( | ref MappingDefinitionElement | obj | ) |
| inline protected

## Member Data Documentation

int IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.OriginalElementIndex = -1

bool IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.OriginalElementIndexSpecified = false

int IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.MappedElementIndex = -1

bool IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.MappedElementIndexSpecified = false

string IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.OriginalName

string IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.OriginalTitle

string IG.Neural.MapNeuralImputOutputElementDefinitionDto< ElementType >.OriginalDescription

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/neural/testneural/NeuralMapData.cs